Package net.rubygrapefruit.platform.internal

# Class DefaultOsxMemory

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultOsxMemory

All Implemented Interfaces:
  `Memory`, `NativeIntegration`, `OsxMemory`

public class DefaultOsxMemory extends Object implements OsxMemory

## Constructor Summary

Constructors
Constructor
Description
`DefaultOsxMemory()`

## Method Summary

Modifier and Type
Method
Description
`OsxMemoryInfo`
`getMemoryInfo()`
Queries the current state of the system memory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultOsxMemory

public DefaultOsxMemory()

## Method Details

### getMemoryInfo

public OsxMemoryInfo getMemoryInfo() throws NativeException
Description copied from interface: `OsxMemory`
Queries the current state of the system memory.

Specified by:
  `getMemoryInfo` in interface `Memory`
Specified by:
  `getMemoryInfo` in interface `OsxMemory`
Throws:
  `NativeException` - On failure.